Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat.csv
Class ConditionDefinition

`java.lang.Object
oracle.adf.model.adapter.dataformat.csv.ConditionDefinition`

public class ConditionDefinition
extends java.lang.Object

A ConditionDefinition class. Defines a filter condition.

Constructor Summary
`ConditionDefinition(java.lang.String columnName, java.lang.String operator, java.lang.String value)` Constructs and initializes a new ConditionDefinition object.

Method Summary
`java.lang.String` | `getColumn()` Public accessor for column attribute.
`java.lang.String` | `getFormat()` Public accessor for format attribute.
`java.lang.String` | `getOperator()` Public accessor for operator attribute.
`java.lang.String` | `getType()` Public accessor for type attribute.
`java.lang.String` | `getValue()` public accessor for value attribute.
`void` | `setColumn(java.lang.String s)` Sets the value of the column attribute.
`void` | `setFormat(java.lang.String s)` Sets the value of the type attribute.
`void` | `setOperator(java.lang.String s)` setOperator sets the value of the operator attribute.
`void` | `setType(java.lang.String s)` Sets the value of the type attribute.
`void` | `setValue(java.lang.String s)` setValue sets the value of the value attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionDefinition

    public ConditionDefinition(java.lang.String columnName,
                               java.lang.String operator,
                               java.lang.String value)

  Constructs and initializes a new ConditionDefinition object.
Parameters:
  `columnName` - column name for the condition
  `operator` - condition operator
  `value` - condition limit

Method Detail

### getColumn

    public java.lang.String getColumn()

  Public accessor for column attribute.

### setColumn

    public void setColumn(java.lang.String s)

  Sets the value of the column attribute.
  Parameters:
    `s` - Value for column is passed

### getType

    public java.lang.String getType()

  Public accessor for type attribute.

### setType

    public void setType(java.lang.String s)

  Sets the value of the type attribute.
  Parameters:
    `s` - Value for type is passed

### getFormat

    public java.lang.String getFormat()

  Public accessor for format attribute.

### setFormat

    public void setFormat(java.lang.String s)

  Sets the value of the type attribute.
  Parameters:
    `s` - Value for format is passed

### getOperator

    public java.lang.String getOperator()

  Public accessor for operator attribute.

### setOperator

    public void setOperator(java.lang.String s)

  setOperator sets the value of the operator attribute.
  Parameters:
    `s` - Value for operator is passed

### getValue

    public java.lang.String getValue()

  public accessor for value attribute.

### setValue

    public void setValue(java.lang.String s)

  setValue sets the value of the value attribute.
  Parameters:
    `s` - value for value operator is passed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.